import tileUri from './uris';
describe('Test that', () => {
  test('uri generation is working', () => {
    expect(tileUri({ provider: 'osm', zoomLevel: 16, x: 25, y: 52 })).toEqual(
      'tile/osm/16/25/52'
    );
  });
  test('uri parsing works', () => {
    expect(tileUri('tile/otm/5/28/3')).toEqual({
      provider: 'otm',
      zoomLevel: 5,
      x: 28,
      y: 3,
    });
  });
});
